Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

moodle16cleanup: mod/scorm version column should not be dropped, it must

exist. it was not upgraded as with mysql.php 2005041600
  • Loading branch information...
commit c89dfcfcf5f7027992a4f2b711577b21129a9905 1 parent 1b58a2f
martinlanghoff authored
Showing with 8 additions and 1 deletion.
  1. +7 −0 mod/scorm/db/postgres7.php
  2. +1 −1  mod/scorm/version.php
7 mod/scorm/db/postgres7.php
View
@@ -187,6 +187,7 @@ function scorm_upgrade($oldversion) {
modify_database('','ALTER TABLE ONLY prefix_scorm_scoes_track ADD UNIQUE (userid, scormid, scoid, element)');
modify_database('','ALTER TABLE prefix_scorm ALTER browsemode SET DEFAULT 0');
modify_database('','ALTER TABLE prefix_scorm DROP version');
+ notify('You can ignore the error above as version column does not exists, this will be properly upgraded later');
table_column('scorm_scoes','datafromlms','datafromlms','VARCHAR','255','','');
table_column('scorm_scoes','maxtimeallowed','maxtimeallowed','VARCHAR','19','','');
}
@@ -225,6 +226,12 @@ function scorm_upgrade($oldversion) {
if ($oldversion < 2005102800) {
table_column("scorm", "", "maxattempt", "integer", "", "UNSIGNED", "1", "NOT NULL", "maxgrade");
}
+
+
+ if ($oldversion < 2006021401) {
+ table_column("scorm", "", "version", "VARCHAR", "9", "", "", "NOT NULL", "reference");
+ }
+
return true;
}
?>
2  mod/scorm/version.php
View
@@ -5,7 +5,7 @@
/// This fragment is called by moodle_needs_upgrading() and /admin/index.php
/////////////////////////////////////////////////////////////////////////////////
-$module->version = 2006021400; // The (date) version of this module
+$module->version = 2006021401; // The (date) version of this module
$module->requires = 2005060200; // The version of Moodle that is required
$module->cron = 0; // How often should cron check this module (seconds)?
Please sign in to comment.
Something went wrong with that request. Please try again.